commit:     8bf3ec8b2db14a7ad136c59cc1fa7235767b9881
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 11 21:48:20 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Nov 11 22:30:37 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8bf3ec8b

media-libs/tiff: Bump to version 4.0.10

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-libs/tiff/Manifest           |  1 +
 media-libs/tiff/metadata.xml       |  3 ++
 media-libs/tiff/tiff-4.0.10.ebuild | 84 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 88 insertions(+)

diff --git a/media-libs/tiff/Manifest b/media-libs/tiff/Manifest
index fd0ec14369a..3d4581bb9ba 100644
--- a/media-libs/tiff/Manifest
+++ b/media-libs/tiff/Manifest
@@ -1,2 +1,3 @@
 DIST tiff-3.9.7.tar.gz 1468097 BLAKE2B 
303339acf9bb48558695b13fcc2b41acacbbf2ce6d2ec497067761895cb2de7674108e8ca2f35f845dcd2e45801777fe25d234af1c308acf59846c2f5617ab53
 SHA512 
ca89584a9ffa33b4986e4bc2165043cec239896f1f0ab73db00818d0442b570efaa6345b2ed422e884202324d359713df849bf14782bb0cf3b959655febddd77
+DIST tiff-4.0.10.tar.gz 2402867 BLAKE2B 
0305453f22150c31d00d2de756736f58c49a288e19b2a66bdd01319ce4688742f6eab4009eaf1817125d41f53a23de17eb6265a3ebae458ec24f5dbb3d49764e
 SHA512 
d213e5db09fd56b8977b187c5a756f60d6e3e998be172550c2892dbdb4b2a8e8c750202bc863fe27d0d1c577ab9de1710d15e9f6ed665aadbfd857525a81eea8
 DIST tiff-4.0.9.tar.gz 2305681 BLAKE2B 
3de03408d2974b9f9f5f2444029cc3018ef43beb67e9fd21be68ee400cdcc6deca1247f055d880841a18b92284ce81f112682c8b5f083ddc61e5255d73a7de3f
 SHA512 
04f3d5eefccf9c1a0393659fe27f3dddd31108c401ba0dc587bca152a1c1f6bc844ba41622ff5572da8cc278593eff8c402b44e7af0a0090e91d326c2d79f6cd

diff --git a/media-libs/tiff/metadata.xml b/media-libs/tiff/metadata.xml
index 815534de05d..0c3044903a7 100644
--- a/media-libs/tiff/metadata.xml
+++ b/media-libs/tiff/metadata.xml
@@ -5,6 +5,9 @@
                <email>graph...@gentoo.org</email>
                <name>Gentoo Graphics Project</name>
        </maintainer>
+       <use>
+               <flag name="zstd">Enable zstd compression support.</flag>
+       </use>
        <longdescription>
                TIFF image library and tools, mostly for scanner and fax
                support, but also used by GIS and other imaging tools.

diff --git a/media-libs/tiff/tiff-4.0.10.ebuild 
b/media-libs/tiff/tiff-4.0.10.ebuild
new file mode 100644
index 00000000000..2e6ce66b2ce
--- /dev/null
+++ b/media-libs/tiff/tiff-4.0.10.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools libtool multilib-minimal
+
+DESCRIPTION="Tag Image File Format (TIFF) library"
+HOMEPAGE="http://libtiff.maptools.org";
+SRC_URI="http://download.osgeo.org/libtiff/${P}.tar.gz
+       ftp://ftp.remotesensing.org/pub/libtiff/${P}.tar.gz";
+
+LICENSE="libtiff"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~x64-cygwin ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="+cxx jbig jpeg lzma static-libs test webp zlib zstd"
+
+RDEPEND="
+       jbig? ( >=media-libs/jbigkit-2.1:=[${MULTILIB_USEDEP}] )
+       jpeg? ( >=virtual/jpeg-0-r2:0=[${MULTILIB_USEDEP}] )
+       lzma? ( >=app-arch/xz-utils-5.0.5-r1[${MULTILIB_USEDEP}] )
+       webp? ( media-libs/libwebp:=[${MULTILIB_USEDEP}] )
+       zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
+       zstd? ( >=app-arch/zstd-1.3.7-r1:=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+
+REQUIRED_USE="test? ( jpeg )" #483132
+
+PATCHES=(
+       
"${FILESDIR}"/${PN}-4.0.7-pdfium-0006-HeapBufferOverflow-ChopUpSingleUncompressedStrip.patch
+       
"${FILESDIR}"/${PN}-4.0.7-pdfium-0008-HeapBufferOverflow-ChopUpSingleUncompressedStrip.patch
+)
+
+MULTILIB_WRAPPED_HEADERS=(
+       /usr/include/tiffconf.h
+)
+
+src_prepare() {
+       default
+
+       # tiffcp-thumbnail.sh fails as thumbnail binary doesn't get built 
anymore since tiff-4.0.7
+       sed '/tiffcp-thumbnail\.sh/d' -i test/Makefile.am || die
+
+       eautoreconf
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --without-x
+               --with-docdir="${EPREFIX}"/usr/share/doc/${PF}
+               $(use_enable cxx)
+               $(use_enable jbig)
+               $(use_enable jpeg)
+               $(use_enable lzma)
+               $(use_enable static-libs static)
+               $(use_enable webp)
+               $(use_enable zlib)
+               $(use_enable zstd)
+       )
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+
+       # remove useless subdirs
+       if ! multilib_is_native_abi ; then
+               sed -i \
+                       -e 's/ tools//' \
+                       -e 's/ contrib//' \
+                       -e 's/ man//' \
+                       -e 's/ html//' \
+                       Makefile || die
+       fi
+}
+
+multilib_src_test() {
+       if ! multilib_is_native_abi ; then
+               emake -C tools
+       fi
+       emake check
+}
+
+multilib_src_install_all() {
+       find "${ED}" -name '*.la' -delete || die
+       rm 
"${ED}"/usr/share/doc/${PF}/{COPYRIGHT,README*,RELEASE-DATE,TODO,VERSION} || die
+}

Reply via email to